<template>
  <div class="container">
    <!-- 查询配置 -->
    <div style="padding: 0px 20px">
      <div ref="lxHeader">
        <LxHeader icon="md-apps" text="联系我们" style="margin-bottom: 10px; border: 0px; margin-top: 15px">
          <div slot="content"></div>
        </LxHeader>
      </div>
      <div class="table-tree">
        <el-table :data="tableData" :height="tableHeight" style="width: 100%">
          <el-table-column type="index" width="50" align="center" label="序号"> </el-table-column>
          <el-table-column :prop="column.field" :align="column.align" v-for="(column,index) in columns"
            :label="column.title" :width="column.width">
            <template slot-scope="scope">
              <div v-if="column.type=='opt'">
                <Button ghost size="small" @click="edit(scope.row)" type="primary"
                  style="margin-left: 10px;">编辑</Button>
              </div>
              <div v-else>{{scope.row[column.field]}}</div>
            </template>
          </el-table-column>
        </el-table>
      </div>
    </div>

    <el-dialog title="详情编辑" :visible.sync="dialogFormVisible" fullscreen width="90%">
      <el-form :model="form" :rules="rules" ref="form" label-position="right" :label-width="formLabelWidth">
          <el-input type="hidden" v-model="form.tag" placeholder="请填写标签" autocomplete="off"></el-input>
          <el-form-item label="联系我们" prop="value">
            <div style="width: 99.9%;">
              <tinymce ref="tiny" v-model="form.value" :height="300" />
            </div>
          </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="resetForm('form')">取 消</el-button>
        <el-button type="primary" @click="submitForm('form')">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>
  import LxHeader from "@/components/LxHeader/index.vue";
  import {
    list,
    save,
    get
  } from "../../../api/resource/config.js";
  import Tinymce from '@/components/Tinymce'
  export default {
    components: {
      LxHeader,
      Tinymce
    },
    created() {
      this.initLoad();
      this.load();
    },
    mounted() {},
    data() {
      return {
        dialogFormVisible: false,
        formLabelWidth: "120px",
        form: {
          tag:"about",
          value:""
        },
        columns: [{
            field: "name",
            title: "标题",
            type: "string",
          },
          {
            field: "操作",
            title: "操作",
            width: 220,
            type: "opt",
          }
        ],
        rules: {},
        tableHeight: 0,
        //查询条件字段
        tableData: []
      }
    },
    methods: {
      initLoad() {
        var that = this;
        var clientHeight = document.documentElement.clientHeight
        var lxHeader_height = 96.5; //查询 头部
        var paginationHeight = 37; //分页的高度
        var topHeight = 50; //页面 头部
        let tableHeight = clientHeight - lxHeader_height - topHeight - paginationHeight - 20;
        that.tableHeight = tableHeight;
      },
      load() {
        var that = this;
        list({
          name:"联系我们"
        }).then(res => {
          this.tableData = res.data;
        }).catch(error => {

        })
      },
      show(obj) {
        this.clientHeight = document.documentElement.clientHeight - 84 - 110;
        this.dialogViewVisible = true;
        this.info(obj);
      },
      info(obj) {
        var that = this;
        get(obj.tag).then(res => {
          let result = Object.assign(that.form, res);
          that.form = result;
          this.$refs.tiny.setContent(result.content);
        }).catch(error => {
          //reject(error)
        })
      },
      edit(obj) {
        this.form = this.$options.data().form;
        this.clientHeight = document.documentElement.clientHeight - 84 - 110;
        if (obj) {
          var that = this;
          that.info(obj);
        } else {}
        this.dialogFormVisible = true;
      },
      submitForm(formName) {
        var that = this;
        that.form.tag="about";
        this.$refs[formName].validate((valid) => {
          if (valid) {
            if (that.form.tag) {
              save(that.form).then(response => {
                console.log(response)
                this.$Message.success('操作成功');
                that.dialogFormVisible = false;
                that.load();
              }).catch(error => {})
            } else {}

          } else {
            this.$Message.error('数据校验失败');
            return false;
          }
        });
      },
      resetForm(formName) {
        var that = this;
        this.$refs[formName].resetFields();
        that.dialogFormVisible = false;
      },
    }
  };
</script>
